Index: trunk/info/info/alkisn/alkisbaurecht.php
===================================================================
--- trunk/info/info/alkisn/alkisbaurecht.php	(revision 425)
+++ trunk/info/info/alkisn/alkisbaurecht.php	(revision 427)
@@ -1,5 +1,7 @@
 <?php
 /*	alkisbaurecht.php - Baurecht
-	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
+
+	ALKIS-Auskunft
+	Author: Frank JÃ€ger, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo)
 
 	Version:
@@ -10,4 +12,5 @@
 	2020-12-15 Input-Validation und Strict Comparisation (===)
 	2021-12-09 Neue Parameter: $katAmtMix (Kataster-Amt-Mix), $PrntBtn (Drucken-SchaltflÃ€che)
+	2022-01-13 Limit in Variable. Neue Functions LnkStf(), DsKy()
 */
 ini_set("session.cookie_httponly", 1);
@@ -48,10 +51,6 @@
 
 $erlaubnis = darf_ich(); if ($erlaubnis === 0) {die('<p class="stop1">Abbruch</p></body>');}
-
-$dbg=$debug; // CONF in Arbeits-Variable
-// Mit URL-Parameter "&nodebug=j" kann man die Entwicklungsumgebung (in Conf definiert) ausschalten.
-// Wirkt temporÃ€r und wird nicht in Links weiter gereicht.
+$dbg=$debug;
 if ($nodebug === "j") {$dbg=0;} 
-
 $con = pg_connect($dbconn." options='--application_name=ALKIS-Auskunft_alkisbaurecht.php'");
 if (!$con) echo "\n<p class='err'>Fehler beim Verbinden der DB</p>";
@@ -89,11 +88,10 @@
 	$behd=$row["dokumentation"];
 
-	echo "<p class='balken recht'>ALKIS Bau-, Raum- oder Bodenordnungsrecht ".$artfest."-".$verfnr."&nbsp;</p>"; // Balken
+	echo "<p class='balken recht'>ALKIS Bau-, Raum- oder Bodenordnungsrecht ".$artfest."-".$verfnr."&nbsp;</p>";
 	echo "\n<h2><img src='ico/Gericht.png' width='16' height='16' alt=''> Bau-, Raum- oder Bodenordnungsrecht</h2>";
 	echo "\n<table>"
 		."\n<tr>"
-			."\n\t<td class='li'>Art der Festlegung:</td>\n\t<td>";
-			if ($showkey) {echo "<span class='key'>(".$artfest.")</span> ";}
-			echo "<span class='wichtig'>".$row["adfbez"]."</span></td>"
+			."\n\t<td class='li'>Art der Festlegung:</td>"
+			."\n\t<td>".DsKy($artfest, '* Art der Festlegung')."<span class='wichtig'>".$row["adfbez"]."</span></td>"
 		."\n</tr>";
 		if ($enam != "") {
@@ -109,18 +107,12 @@
 			."\n</tr>";
 		}
-		if ($stellb != "") { // z.B. Umlegung *mit* und Baulast *ohne* Dienststelle, darum bezirk testen
+		if ($stellb != "") { // z.B. Umlegung *mit* und Baulast *ohne* Dienststelle
 			echo "\n<tr>"
-				."\n\t<td class='li'>Dienststelle:</td>\n\t<td>";
-					if ($showkey) {echo "<span class='key'>(".$row["stelle"].")</span> ";}
-					echo $stellb
-				."</td>"
+			."\n\t<td class='li'>Dienststelle:</td>\n\t<td>".DsKy($row["stelle"], 'Dienststelle-*').$stellb."</td>"
 			."\n</tr>";
 			if ($stella != "") {
 				echo "\n<tr>"
-					."\n\t<td class='li'>Art der Dienststelle:</td>"
-					."\n\t<td>";
-						if ($showkey) {echo " <span class='key'>(".$stella.")</span>&nbsp;";}
-						echo "<span title='".$behd."'>".$behb."</span>";
-					echo "</td>"
+				."\n\t<td class='li'>Art der Dienststelle:</td>"
+				."\n\t<td>".DsKy($stella, '* Art der Dienststelle')."<span title='".$behd."'>".$behb."</span>"."</td>"
 				."\n</tr>";
 			}
@@ -139,4 +131,5 @@
 ."\n<p>Ermittelt durch geometrische Verschneidung. Nach Gr&ouml;&szlig;e absteigend.</p>";
 
+$fslimit=200;
 $sql ="SELECT f.gml_id, g.bezeichnung, f.gemarkungsnummer, f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, round(st_area(ST_Intersection(r.wkb_geometry,f.wkb_geometry))::numeric,1) AS schnittflae 
 FROM ax_flurstueck f  
@@ -151,5 +144,5 @@
 	$v=array($gmlid, $filtkreis, $filtgem);
 }
-$sql.="ORDER BY schnittflae DESC LIMIT 100;"; 
+$sql.="ORDER BY schnittflae DESC LIMIT ".$fslimit.";"; 
 // > 0.0 ist gemeint, Ungenauigkeit durch st_simplify
 // Limit: Flurbereinig. kann groÃ werden!
@@ -180,15 +173,13 @@
 		$nen=$row["nenner"];
 		echo "\n<tr>"
-			."\n\t<td>";
-			if ($showkey) {echo "<span class='key'>(".$gmkgnr.")</span> ";}
-			echo $gemarkung."</td>"
+			."\n\t<td>".DsKy($gmkgnr, 'Gemarkungsnummer').$gemarkung."</td>"
 			."\n\t<td>".$row["flurnummer"]."</td>"
 			."\n\t<td><span class='wichtig'>".$row["zaehler"];
-				if ($nen != "") {echo "/".$nen;}
+			if ($nen != "") {echo "/".$nen;}
 			echo "</span></td>"
 			."\n\t<td class='fla'>".$row["schnittflae"]." m&#178;</td>"
 			."\n\t<td class='fla'>".$row["amtlicheflaeche"]." m&#178;</td>"
 			."\n\t<td class='nwlink noprint'>"
-				."\n\t\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$row["gml_id"]."&amp;eig=n' "
+				."\n\t\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$row["gml_id"].LnkStf()."&amp;eig=n' "
 					."title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck "
 					."\n\t\t\t<img src='ico/Flurstueck_Link.png' width='16' height='16' alt=''>"
@@ -206,6 +197,6 @@
 	//	if ($dbg > 2) {echo "\n<p class='err'>SQL=<br>".htmlentities($sql, ENT_QUOTES, "UTF-8")."<br>$1 = ".$gmlid." $2 = ".$filtkreis." $3 = ".$filtgem."</p>";}
 	}
-} elseif ($fscnt === 100) {
-	echo "<p>... und weitere Flurst&uuml;cke (Limit 100 erreicht).</p>";
+} elseif ($fscnt >= $fslimit) {
+	echo "<p>... und weitere Flurst&uuml;cke (Limit ".$fslimit." erreicht).</p>";
 }
 
